# class Chef::ChefFS::FileSystem::EnvironmentsDir

### Public Class Methods

new(parent) click to toggle source
Calls superclass method

    # File lib/chef/chef_fs/file_system/environments_dir.rb, line 29
    def initialize(parent)
      super("environments", parent, nil, Chef::ChefFS::DataHandler::EnvironmentDataHandler.new)
    end

### Public Instance Methods

_make_child_entry(name, exists = nil) click to toggle source
Calls superclass method

    # File lib/chef/chef_fs/file_system/environments_dir.rb, line 33
    def _make_child_entry(name, exists = nil)
      if name == '_default.json'
        DefaultEnvironmentEntry.new(name, self, exists)
      else
        super
      end
    end